import '//resources/cr_elements/cr_button/cr_button.js';
import '//resources/cr_elements/cr_tooltip/cr_tooltip.js';
import type { ComposeboxEmbedderMixinInterface } from '//resources/cr_components/composebox/composebox_mixin.js';
import { CrLitElement } from '//resources/lit/v3_0/lit.rollup.js';
import type { PropertyValues } from '//resources/lit/v3_0/lit.rollup.js';
export declare class ContextualTasksLensSearchTooltipElement extends CrLitElement {
    static get is(): string;
    static get styles(): import("//resources/lit/v3_0/lit.rollup.js").CSSResultGroup;
    render(): import("//resources/lit/v3_0/lit.rollup.js").TemplateResult<1>;
    static get properties(): {
        target: {
            type: ObjectConstructor;
        };
        shouldShow: {
            type: BooleanConstructor;
        };
    };
    accessor target: Element | null;
    accessor shouldShow: boolean;
    private lensSearchTooltipIsVisible_;
    private showCount_;
    private userDismissed_;
    private tooltipResizeObserver_;
    private tooltipMutationObserver_;
    private get tooltip_();
    disconnectedCallback(): void;
    updated(changedProperties: PropertyValues<this>): void;
    private shouldShowLensSearchTooltip;
    show(composeboxContainer: HTMLElement, composebox: HTMLElement): void;
    hide(): void;
    updateTooltipVisibility(composeboxContainer: HTMLElement, composebox: HTMLElement & ComposeboxEmbedderMixinInterface): void;
    updatePosition(): void;
    private startObservingTooltipResize_;
    private stopObservingTooltipResize_;
    protected onTooltipCloseClick_(e: Event): void;
}
declare global {
    interface HTMLElementTagNameMap {
        'contextual-tasks-lens-search-tooltip': ContextualTasksLensSearchTooltipElement;
    }
}
